
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个简单的hibernate与spring集成 / iVAN</title>

    <meta name="description" content="一个简单的hibernate与spring集成 下面介绍一下hibernate与spring的集成,这两个框架的集成关键在于 applicationContext.xml文件的配置,其实很简单的,但需要注意的是,导入包 时一定选择导入到webroot/web-inf/lib目录中,而且hibernate一般要在spring 之前导入,因为集成时要用到sessionFactory类, 一.初始化工作:新建一个项目,如(ssh),在此项目中导入对hibernate的支持 ,新建一个表sstest表,有字段id,username,password,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个简单的hibernate与spring集成</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>下面介绍一下hibernate与spring的集成,这两个框架的集成关键在于 applicationContext.xml文件的配置，其实很简单的，但需要注意的是，导入包 时一定选择导入到webroot/web-inf/lib目录中，而且hibernate一般要在spring 之前导入，因为集成时要用到sessionFactory类,</p>
<p>一、初始化工作:新建一个项目,如(ssh),在此项目中导入对hibernate的支持 ,新建一个表sstest表，有字段id,username,password,id为主健和自动增1</p>
<p>二、对新建的数据表进行hibernate进行映射,打开myhibernate视图，右击你 sstest表-&gt;选hibernate revers engineering选项，然后把Sstest.hbm.xml 文件映射到hibernateDao包中，同时选中工具 hibernate mapping file...,　 java data object.....,　java data access object dao...选项，先中这几个 文件就可以产生下列几个.java文件:BaseHibernateDAO. ,HibernateSessionFactory ,IBaseHibernateDAO, Sstest,SstestDAO,最后你对 你的代码进行测试，测试成功，进行下一步</p>
<p>三、在项目中导入对spring的支持，在导入项目后不但要自动产生 applicationContext.xml,而且在这个文件里会出现下面的内容：</p>
<pre>
&lt;bean id="sessionFactory" 

class="org.springframework.orm.hibernate3.LocalSessionFactoryBean"&gt;
　&lt;property name="configLocation" 

value="classpath:hibernate.cfg.xml"&gt;　
　&lt;/property&gt;
&lt;/bean&gt;</pre>
<p>这就是为什么要先要导入hibernate的原因</p>
<p>四、若你对spring的ioc比较熟，你可以直接进入下一步，如果不是很了解， 那么你可以写一个比较简单的例子测试一下看是否成功，必竟框架和在一起，所 以小心点好，不然在以后出了有问题不好找</p>
<p>五、进入myeclipse hibernate视图下，在新的包（如springDao）中重新对 sstest表进行映射，这次映射要注意的就是：打开hibernate reverse engineering对话框中复选按钮java data access object(dao)(hibernate 3 only)下，dao type 不是选basic dao选项，而是选spring dao选项，当你映射 成功后，就会出现Sstest.java, SstestDAO.java, Sstest.hbm.xml几个文件， 你可以写一个类进行测试，如：</p>
<p>springdaotest.java</p>
<pre>
package org.test;
import org.springframework.context.ApplicationContext;
import 

org.springframework.context.support.ClassPathXmlApplicationContext;
import springDao.Sstest;
import springDao.SstestDAO;
public class SpringDaoTest {
public static void main(String a[]){
　ApplicationContext cont = new ClassPathXmlApplicationContext

("applicationContext.xml");
　SstestDAO　s = (SstestDAO) cont.getBean("SstestDAO");
　 SstestDAO　s = (SstestDAO) cont.getBean("SstestDAOProxy");
　Sstest st = new Sstest();
　st.setUsername("spring");
　st.setPassword("spring");
　s.save(st);　
}
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                hibernate<br />
                    ，                java spring<br />
                    ，                spring<br />
                    ，                文件<br />
                    ，                applicationcontext<br />
                    ，                spring hibernate<br />
                    ，                hibernate+spring<br />
                    ，                hibernate spring<br />
                    ，                测试hibernate<br />
                    ，                hibernate   spring<br />
                    ，                Spring Data<br />
                    ，                一个<br />
                                    Spring与Hibernate<br />
                                    spring集成hibernate、spring集成hibernate4、spring集成hibernate5、spring hibernate、spring hibernate整合，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 07:08:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/hibernate/" title="Hibernate">Hibernate</a>, <a href="https://www.iamivan.net/tag/spring/" title="spring">spring</a>, <a href="https://www.iamivan.net/tag/applicationcontext/" title="applicationcontext">applicationcontext</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95hibernate/" title="测试hibernate">测试hibernate</a>, <a href="https://www.iamivan.net/tag/java-spring/" title="java spring">java spring</a>, <a href="https://www.iamivan.net/tag/spring-data/" title="Spring Data">Spring Data</a>, <a href="https://www.iamivan.net/tag/spring%e4%b8%8ehibernate/" title="Spring与Hibernate">Spring与Hibernate</a>, <a href="https://www.iamivan.net/tag/spring-hibernate/" title="spring hibernate">spring hibernate</a>, <a href="https://www.iamivan.net/tag/hibernate-spring/" title="hibernate&plus;spring">hibernate&plus;spring</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个简单的hibernate与spring集成的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6lPvz.html" rel="bookmark">实现一个简单的struts和spring框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				apache终于发布了struts2的正式版:struts2.0.6GA,所以我也该从webwork迁移至struts2.struts2 基本上就是webwork的翻版,所以迁移过程倒是很简单,只需要修改下配置文件和一些包名就可以了.如 果在Eclipse.Netbeans这些集成开发工具的帮助下,记不清包名也很容易找到想要的类的,呵呵. 在Eclipse下建立一个Dynamic Web Application. 从struts2.0.6的lib目录中复制下面的库文件到WEB-INF/lib目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwgYDdz.html" rel="bookmark">使用Spring来创建一个简单的工作流引擎&lowbar;Java编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章来源:matrix 作者:Steve Dodge 摘要 spring是支持控制反转编程机制的一个相对新的框架.本文把spring作为简单工作流引擎,将它用在了更加通用的地方.在对工作流简单介绍之后,将要介绍在基本工作流场景中基于Spring的工作流API的使用. 许多J2EE应用程序要求在一个和主机分离的上下文中执行处理过程.在许多情况下,这些后台的进程执行多个任务,一些任务依赖于以前任务的状态.由于这些处理任务之间存在相互依赖的关系,使用一套基于过程的方法调用常常不能满足要求.开发人员能够			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnZPrp.html" rel="bookmark">Spring框架讲解－一个简单的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,场景:编写一个用户管理的服务层,包括增加用户.删除用户和查询用户等等,而且用户信息以关系型数据库形式存储.分析:这是一个典型的应用服务,涉及到业务层(Business Objects Layer).数据库访问层(DB Access)和存储层(EIS).采用典型的架构:BO+DAODAO采用Spring提供的JdbcTemplate来进行封装. 二,具体实现 1)用户类Userpublic class User{          private String username;       			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB25E9b.html" rel="bookmark">Spring集成JSF的最简单方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring集成JSF的最简单方式是使用DelegatingVariableResolver类.在faces-config.xml中配置,示例如下: &lt;application&gt; &lt;variable-resolver&gt;org.springframework.web.jsf. DelegatingVariableResolver&lt;/variable-resolver&gt; &lt;locale-config&gt; &lt;default-locale&gt;zh_CN&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKVGjz.html" rel="bookmark">spring mvc-初学spring&comma;想做一个简单的登入验证功能，报404错误，已被困扰一天了，跪求帮助</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学spring,想做一个简单的登入验证功能,报404错误,已被困扰一天了,跪求帮助 项目用ecliper ee开发,jdk1.7+mysql+tomcat环境.初学spring,想做一个简单的页面登入验证功能,报404错误,用了spring mvc,在Controller类里打了断点发现程序根本没有执行Controller类,检查了n遍配置文件感觉都是对的.这个bug已经困扰我一天多了,跪求帮助!! 页面错误信息 项目目录结构 web.xml 配置 applicationContex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgWOAM.html" rel="bookmark">深入实践Spring Boot1&period;3&period;2　一个简单的实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3.2 一个简单的实例 Spring Boot的官方文档中提供了一个最简单的Web实例程序,这个实例只使用了几行代码,如代码清单1-3所示.虽然简单,但实际上这已经可以算作是一个完整的Web项目了. 代码清单1-3 Spring Boot简单实例 package springboot.example;   import org.springframework.boot.SpringApplication; import org.springframework.boot.autoconfigu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze69B0b.html" rel="bookmark">struts1，hibernate，spring整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 struts1,hibernate,spring整合 求使用struts1,hibernate,spring实现增删改查的一个简单案例 解决方案 steps:struts or hibernate is first is ok1:struts or hibernate and test it2:add spring ?Be careful: jar conflict . Don't use commons-dbcp.jar in struts, but spring's. or it			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqdLdp.html" rel="bookmark">MyBatis5中Spring集成MyBatis事物管理&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				单独使用MyBatis对事物进行管理 前面MyBatis的文章有写过相关内容,这里继续写一个最简单的Demo,算是复习一下之前MyBatis的内容吧,先是建表,建立一个简单的Student表: create table student ( student_id int auto_increment, student_name varchar(20) not null, primary key(student_id) ) 建立实体类Student.java: public class Studen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7X3Lab.html" rel="bookmark">spring集成jpa【为什么有 persistant&period;xml 文件呢？】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址: http://www.cnblogs.com/javahuang/archive/2012/12/19/2824633.html spring集成JPA的其中一种方式 JPA和hibernate的关系: spring对JPA的集成.JPA是一个ORM规范,由厂商实现该规范, 目前有hibernate,OpenJPA,TopLink和EclipseJPA等实现,本系统中用到的就是hibernate的实现JPA,只配置了两个属性datasource和实现厂商) 所谓JPA是持久化的规范,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaK7vM.html" rel="bookmark" class="title">电脑主板维修的方法</a>
					<div>
						  电脑主板维修的方法 一.CMOS参数丢失 开机后提示&quot;CMOS Battery State Low&quot;,有时可以启动,使用一段时间后死机,这种现象大多是CMOS供电不足引起的.对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j3O9b.html" rel="bookmark" class="title">如何让PPT的幻灯片变成SWF动画</a>
					<div>
						  1.点击&quot;开始&quot;,在&quot;程序&quot;找到&quot;PowerPointtoFlash&quot;并点击,在主界面上点击&quot;添加&quot;按钮,再单击&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPelQz.html" rel="bookmark" class="title">使用gd库实现php服务端图片裁剪和生成缩略图</a>
					<div>
						 一般用户上传头像时,都会让用户自行裁剪图片.那么php怎么实现这个功能呢?php中裁剪图片主要使用gd库的imagecopyresampled方法 裁剪示例:     最终裁剪成的图片:     其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7a3Jb.html" rel="bookmark" class="title">什么是PS智能对象？PhotoShop智能对象功能理解基础教程</a>
					<div>
						针对Photoshop智能对象的有用的小技巧,不知道的同学可要好好学习一下咯- 图一 In my opinion, Smart Object is one of the most useful fea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zoa9b.html" rel="bookmark" class="title">《Imperfect C&plus;&plus;中文版》&mdash;&mdash;1&period;3 运行期契约：前置条件、后置条件和不变式</a>
					<div>
						1.3 运行期契约:前置条件.后置条件和不变式 Imperfect C++中文版 &quot;如果例程的所有前置条件(precondition)已经被调用者满足了,那么该例程必须确保当它完成时所有后置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwv1Bb.html" rel="bookmark" class="title">PHP7 新特性详细介绍&lowbar;php技巧</a>
					<div>
						PHP 的学习新特性 最近做的项目使用了 php7,但感觉有很多新特性没有用起来.就想总结一下,一些可能会用到的新特性.之前使用的环境是 php5.4,所有也会有 php5.5 和 php5.6 的特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lR98b.html" rel="bookmark" class="title">javascript中的nextSibling使用陷&lpar;da&rpar;阱&lpar;keng&rpar;&lowbar;javascript技巧</a>
					<div>
						今天写js的时候遇到了一个陷(da)阱(keng) 关于HTML/XML节点的问题 据说在IE中nextSibling不会返回文本节点,而chrome或者firefox等会返回文本节点-- 这个我的工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QY8Jp.html" rel="bookmark" class="title">Spark机器学习5&CenterDot;回归模型&lpar;pyspark&rpar;</a>
					<div>
						Spark机器学习 分类模型的预测目标是:类别编号 回归模型的预测目标是:实数变量 回归模型种类 线性模型 最小二乘回归模型 应用L2正则化时--岭回归(ridge regression) 应用L1正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamKeXb.html" rel="bookmark" class="title">腾讯要AI in All：西部世界导演和腾讯COO刚刚一起聊了聊人为什么要活着</a>
					<div>
						这个画面是否有点像科幻电影里的未来生化科技场景? 不是演员,也没有加特效--画面里是MIT教授Hugh Herr,他正在成都参加2017年腾讯全球合作伙伴大会. Hugh Herr是MIT Media ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoyJ7b.html" rel="bookmark" class="title">科学式家｜杨强教授漫谈《西部世界》、生成式对抗网络及迁移学习</a>
					<div>
						「范式大学」由第四范式发起,致力于成为&quot;数据科学家&quot;的黄埔军校,校长为第四范式首席科学家,华人界首个国际人工智能协会AAAI Fellow.唯一的AAAI 华人执委杨强教授.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm2RQM.html" rel="bookmark" class="title">删除  文件-怎么把文件里相要删除的清掉，文件以汉字加密存储的。</a>
					<div>
						问题描述 怎么把文件里相要删除的清掉,文件以汉字加密存储的. 我也要看到几个人的建议,有人说先读出来删除在写进去.这个不太懂,如果这样那我也得找到匹配的才能删除,这样效率非常低.有人说建立临时文件,写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLx36p.html" rel="bookmark" class="title">架构师之路-创业互联网公司如何搭建自己的技术架构</a>
					<div>
						适用范围 本文主要针对中小型互联网公司,特别适用于手机APP或者pc的后台架构,基本可以支撑5万日活 本文会对可能用到的相关技术进行技术选型的说明,以及技术的架构介绍,技术架构的介绍课程后面有地址,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK6QJp.html" rel="bookmark" class="title">nocommerce 邮件设置</a>
					<div>
						问题描述 这里到底怎么设置啊还有在用户名和密码的地方到底填的什么啊,搞了好久都没搞出来.各位大侠帮帮忙,先说声谢谢了 解决方案 本帖最后由 zhuxiankao666 于 2015-02-15 13: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwEE3M.html" rel="bookmark" class="title">谷歌排名优化，首先要从建站开始</a>
					<div>
						现如今互联网商务发展迅猛,商务发展越来越全球化,国内许多的外贸企业应运而生.外贸企业主要面向的客户都是国外用户群体,所以就需要网站向用户展示产品,而单单只有一个网站还不行,你必须在搜索引擎谷歌上获得好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLEKNM.html" rel="bookmark" class="title">2&period;2&period;2原始demo 安卓，运行报错</a>
					<div>
						问题描述 2.2.2原始demo 安卓,运行报错4.4.2的build只设置了utf-8,其余未作任何修改. 用4.4.4手机,5.0手机 都是一样,图如下. 解决方案 build tools 是19 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GEDop.html" rel="bookmark" class="title">android操作SQLite增删改减实现代码&lowbar;Android</a>
					<div>
						如果一个应用程序中的数据库无需提供对外访问,实现一个继承自SQLiteOpenHelper的数据库帮助类,以支持数据库的创建和版本的更新, 这些SQLiteDataBase所不能实现的.但是SQLit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QEKnp.html" rel="bookmark" class="title">js将当前时间格式转换成时间搓&lpar;自写&rpar;&lowbar;javascript技巧</a>
					<div>
						自己写的一个方法 复制代码 代码如下: function split_time(time){//将当前时间转换成时间搓 例如2013-09-11 12:12:12 var arr=time.split ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDjvz.html" rel="bookmark" class="title">WP7首次升级失利部分三星用户手机&OpenCurlyDoubleQuote;变砖&rdquo;</a>
					<div>
						2月23日消息,微软昨天推出了windows phone 7首次更新,这次更新被称为是为未来增添新功能铺路,因此非常重要.更新发布后,部分三星Omnia用户表示在升级系统后出现了稳定性问题,甚至导致手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zwo3z.html" rel="bookmark" class="title">郑州警方侦破首例特大跨国网购诈骗案</a>
					<div>
						新华网郑州6月16日电(记者李丽静)河南省郑州市公安局刑侦支队16日披露,郑州市首例特大跨国网络诈骗案告破,7个诈骗窝点被捣毁,68名涉案嫌疑人被抓获,收缴作案用电脑67台. 河南省郑州市公安局刑侦支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnO2qp.html" rel="bookmark" class="title">int-C语言内存管理问题，要注重细节</a>
					<div>
						问题描述 C语言内存管理问题,要注重细节 int pOld = (int) malloc( sizeof(int) ); int pNew = (int) malloc( sizeof(int) ); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlDArp.html" rel="bookmark" class="title">发电量和三峡电站相等的风力发电机</a>
					<div>
						问题描述 我设计了一台发电量和三峡电站相等的风力发电机,目前我还没有去申请发明专利,我叫杨兵,南昌市沙坝巷2号,13767001499.这是真实的.我承担法律责任.另外,我前年,去年在网上说的我设计了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6jGwM.html" rel="bookmark" class="title">android 群聊搜索框</a>
					<div>
						问题描述 android 群聊页面的搜索框,无法输入文字是什么鬼 解决方案 UI的问题还是要自己调试代码,这也猜不出来解决方案二:demo也有这个问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1jXvM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;顺风车&rdquo;没了，视频网站有点懵</a>
					<div>
						本报记者 冯潇颖/文 梁津铭/制图 今年春节,让众多&quot;穿粉&quot;.&quot;宫粉&quot;望眼欲穿的&lt;宫锁珠帘&gt;(以下称&lt;宫2&gt;)打着&quot;宫廷偶像剧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NePdp.html" rel="bookmark" class="title">论这场云盘大战，以及各网盘的优劣</a>
					<div>
						          最近几天,关于网盘的一场战役正如火如荼的展开.网盘市场应该是最近一年才兴起的.比较早的就是115网盘.后来随着金山快盘,百度云盘,以及google,华为,360等相继开发网盘业务, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXWvnM.html" rel="bookmark" class="title">求高人帮忙破解一个docx文件的密码~~</a>
					<div>
						问题描述 之前整了个文档,设置了密码,结果时间久了,密码忘记了~,现在打不开,求高手帮忙看看能不能破解下~~ 解决方案 解决方案二:查一下你那个加密的软件是什么,好多种给文件夹加密的软件.然后再查一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7dGyp.html" rel="bookmark" class="title">Interplay总裁确认《辐射》网游版已经正式进入开发中</a>
					<div>
						(编译/Wendy)Interplay总裁Eric Caen确认&lt;辐射&gt;网游版(开发代号:V13)已经正式进入开发中,开发团队由90人组成,将于2012年发布,其他具体细节尚未透露. Ca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOJrAM.html" rel="bookmark" class="title">乐视网近日再发公告称，拟披露的重大事项为重大资产重组</a>
					<div>
						摘要: 继宣布8月27日停牌后, 乐视网 近日再发公告称,拟披露的重大事项为重大资产重组.另外,公司计划于2013年10月8日前按照要求披露本次重大资产重组预案或报告书. 有消息称,乐视网 继宣布8月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JmLvb.html" rel="bookmark" class="title">如何在 MSChart控件中 创建自定义 &amp;amp&semi;amp&semi;quot&semi;文本标注&amp;amp&semi;amp&semi;quot&semi;  ？</a>
					<div>
						问题描述 如下图所示:C#控件MSchart画的曲线图,在图表区上方有自动生成的文字标注,不是title,也不是lable,不知道怎么做,请问有了解的吗? 解决方案 解决方案二:应该说是自定义文本,动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYB35Qp.html" rel="bookmark" class="title">个人做淘客的一些感悟</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 不知道什么时候突发奇想试试淘宝客, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlVR78z.html" rel="bookmark" class="title">PF4J &mdash;&mdash; 轻量级的 Java 插件框架</a>
					<div>
						PF4J 详细介绍PF4J 是一个 Java 的插件框架,为第三方提供应用扩展的渠道.使用 PF4J 你可以轻松将一个普通的 Java 应用转成一个模块化的应用.PF4J 本身非常轻量级,只有 50K ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
